Melpa 刷新出来268个 package 需要更新,什么情况?


#1

刚才闲着没事刷新了一下 melpa,然后发现有 268 个 package 需要更新,这是什么情况?

image

换成 melpa-cn 仍然是这样。

我前几天明明刚更新过,不可能有这么多包需要更新的


#2

铜纹 :rofl:

某个依赖的包更新后所有包rebuild?我猜的。


#3

好像是这个吧:

@xuchunyang 这个怎么处理,正常更新不会有问题吧?

但是这个只是 MELPA-Stable 的问题?和下面这个 issue 有没有关系呢?

看样子这个星期都不会修复了

看样子这个星期 MELPA 有大的变动,我先暂时搁置更新算了


#5

这几天melpa确实有“问题”,清华那边tuna上的elpa库一直syncing --> failed --> syncing … 循环中。


#6

应该是因为我贴的第一个 issue,应该联系清华elpa的管理员


#7

#8

这是 Melpa 的问题,估计只能更新,出现这样的状况,难免教人有些沮丧。


至于清华的 ELPA 更新失败是另一个完全不相干的问题,原因参见


#9

@et2010 我正在更新 237 个 Package 中……更新花了20分钟。


#10

etags-select 、hide-comnt 、 mwe-log-commands 这三个包挂了。


#11

怎么样,melpa 现在恢复正常了吗?


#12

我更了一下之后正常了。。。跑一会儿就更新好了,再更新新的就正常了。应该没啥事。


#13

好几次遇到 melpa 更新的版本有 bug 影响工作,只好改成优先从 melpa-stable 安装,然后 gnu, melpa


#14

不敢更新了。 我本地的包半年没更新了,只要能用就不更新原则。~